.common_conditions: &common_conditions
  state: opened
  ruby: |
    can_add_default_group?
.common_actions: &common_actions
  labels:
    - "group::quality community"
    - "Community contribution"

resource_rules:
  issues:
    rules:
      - name: Add ~"group::quality community", ~"Community contribution" to open issues
        conditions:
          <<: *common_conditions
        actions:
          <<: *common_actions

  merge_requests:
    rules:
      - name: Add ~"group::quality community", ~"Community contribution" to open merge requests
        conditions:
          <<: *common_conditions
        actions:
          <<: *common_actions
